Index: branches/0.2.x/src/dbcDecriptor/CMakeLists.txt
===================================================================
--- branches/0.2.x/src/dbcDecriptor/CMakeLists.txt	(revision 366)
+++ branches/0.2.x/src/dbcDecriptor/CMakeLists.txt	(revision 370)
@@ -1,35 +1,48 @@
-PROJECT(PacpusDBCDecriptor)
-################################################################################
-CMAKE_MINIMUM_REQUIRED(VERSION 2.8)
-
-# ========================================
-# Configure qt4
-# ========================================
-FIND_PACKAGE(Qt4 REQUIRED)
-IF(QT4_FOUND)
-	SET(QT_USE_QTGUI TRUE)
-	INCLUDE(${QT_USE_FILE})
-ELSE()
-	MESSAGE(ERROR " QT4 NEEDED")
-ENDIF()
-
-IF(WIN32)
-	LINK_LIBRARIES(${QT_QTMAIN_LIBRARY})
-	SET(GUI_TYPE WIN32)
-ENDIF(WIN32)
+#################################################
+#   ___________    ____ ______  __ __  _____    #
+#   \____ \__  \ _/ ___\\____ \|  |  \/  ___/   #
+#   |  |_> > __ \\  \___|  |_> >  |  /\___ \    #
+#   |   __(____  /\___  >   __/|____//____  >   #
+#   |__|       \/     \/|__|              \/    #
+#                                               #
+#################################################
+project(PacpusDBCDecriptor)
 
 # ========================================
 # Compiler definitions
 # ========================================
-ADD_DEFINITIONS(
-	${QT_DEFINITIONS}
+add_definitions(${QT_DEFINITIONS})
+
+# ========================================
+# Pre-configuration of the compiler
+# ========================================
+find_package(Pacpus REQUIRED)
+# Includes directories
+if(PACPUS_FOUND)
+include_directories(
+  ${PACPUS_DEPENDENCIES_INC}
+  ${PACPUS_INCLUDE_DIR}
 )
+# Compiler flags coming from PacpusDependencies and PacpusPlatforms
+add_definitions(${PACPUS_DEFINITIONS})
+endif(PACPUS_FOUND)
 
 # ========================================
 # Include directories
 # ========================================
-INCLUDE_DIRECTORIES(
-	${PROJECT_BINARY_DIR}
-	${QT_INCLUDE_DIR}
+include_directories(
+    ${CMAKE_BINARY_DIR}/DBITEPlayer
+    ${QT_INCLUDE_DIR}
+)
+
+# ========================================
+# Link directories
+# ========================================
+link_directories(
+    ${PROJECT_BINARY_DIR}/../PacpusLib
+    ${PROJECT_BINARY_DIR}/../FileLib
+    ${PROJECT_BINARY_DIR}/../DBITEPlayerLib
+	${PROJECT_BINARY_DIR}/../PacpusTools
+	${PROJECT_BINARY_DIR}/../RoadTime
 )
 
@@ -37,11 +50,13 @@
 # List of sources
 # ========================================
-SET(
-	PROJECT_SRCS
-	src/mainwindow.cpp
-	src/main.cpp
-	src/mainwindow.h
-	src/structure.h
-	../ico/heudiasycIco.rc
+set(PROJECT_HDRS
+
+)
+set(PROJECT_SRCS
+    src/mainwindow.cpp
+    src/main.cpp
+    src/mainwindow.h
+    src/structure.h
+    #../ico/heudiasycIco.rc
 )
 
@@ -50,11 +65,11 @@
 # ========================================
 SET(
-	FILES_TO_MOC
-	src/mainwindow.h
+    FILES_TO_MOC
+    src/mainwindow.h
 )
 
 SET(
-	UI_FILES
-	src/mainwindow.ui    
+    UI_FILES
+    src/mainwindow.ui    
 )
 
@@ -62,12 +77,12 @@
 # Call MOC
 # ========================================
-QT4_WRAP_CPP(
-	PROJECT_MOC_SRCS
-	${FILES_TO_MOC}
+QT_WRAP_CPP(
+    PROJECT_MOC_SRCS
+    ${FILES_TO_MOC}
 )
 
-QT4_WRAP_UI(
-	PROJECT_UI_SRCS
-	${UI_FILES}
+QT_WRAP_UI(
+    PROJECT_UI_SRCS
+    ${UI_FILES}
 )
 
@@ -76,17 +91,42 @@
 # ========================================
 pacpus_add_executable(
-	${PROJECT_NAME} 
-	${GUI_TYPE} 
-	${PROJECT_SRCS} 
-	${PROJECT_MOC_SRCS} 
-	${PROJECT_UI_SRCS}
+    ${PROJECT_NAME}
+    ${GUI_TYPE} 
+    ${PROJECT_SRCS} 
+    ${PROJECT_MOC_SRCS} 
+    ${PROJECT_UI_SRCS}
+
 )
 
 # ========================================
-# Libraries
+# Libraries & Dependencies
 # ========================================
-TARGET_LINK_LIBRARIES(
-	${PROJECT_NAME} 
-	${QT_LIBRARIES}
+
+set(OPT_LIBRARIES
+    optimized dbiteplayerlib debug dbiteplayerlib_d
+    optimized FileLib debug FileLib_d
+    optimized PacpusLib debug PacpusLib_d
+)
+
+# Windows platform
+if(WIN32)
+    LIST(APPEND OPT_LIBRARIES
+        optimized ROAD_TIME debug ROAD_TIME_d
+        Winmm
+    )
+endif()
+
+if(UNIX)
+    LIST(APPEND OPT_LIBRARIES
+        pthread
+    )
+endif()
+
+# All the platform
+target_link_libraries(
+    ${PROJECT_NAME}
+    ${QT_LIBRARIES}
+    ${OPT_LIBRARIES}
+    ${PACPUS_DEPENDENCIES_LIB}
 )
 
@@ -95,2 +135,7 @@
 # ========================================
 pacpus_install(${PROJECT_NAME})
+
+# ========================================
+# Folder
+# ========================================
+pacpus_folder(${PROJECT_NAME} "tools")
